Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007509OCamlconfigure and build/installpublic2017-03-25 02:212017-10-12 12:50
Reporterasai 
Assigned To 
PrioritylowSeveritytweakReproducibilityalways
StatusresolvedResolutionopen 
PlatformAppleOSMacOS XOS Version10.12
Product Version4.04.0 
Target Version4.07.0+devFixed in Version4.07.0+dev 
Summary0007509: .gitignore lists some files that should not be ignored
DescriptionThe following files exist in the distribution:

.depend
/otherlibs/systhreads/thread.ml
/testsuite/tests/asmcomp/mips.s
/testsuite/tests/opaque/intf/opaque_impl.mli
/testsuite/tests/opaque/intf/opaque_intf.mli
/testsuite/tests/opaque/intf/regular.mli

but they match the pattern in .gitignore. As such, if one creates a fresh git repository from the distribution, they are ignored in the repository, resulting in a failure when doing "make world".
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017703)
xleroy (administrator)
2017-03-26 20:03

This is wrong indeed and will be fixed soon. Just one question:

I don't see which pattern '.depend' matches. Could you show me?

(0017704)
asai (reporter)
2017-03-27 03:49

I have to add .depend.nt to the list of ignored files. See below for all the matches.

% cat go.sh
sed -e 's/^\([^#/].*\)$/find . -name "\1" -print/' \
    -e 's/^\/\(.*\)$/ls \1 2> \/dev\/null/'
% cd ocaml-4.04.0/
% cat .gitignore | bash ../go.sh > ../script
% bash ../script
./.depend
./asmrun/.depend
./byterun/.depend
./debugger/.depend
./lex/.depend
./ocamldoc/.depend
./otherlibs/bigarray/.depend
./otherlibs/graph/.depend
./otherlibs/num/.depend
./otherlibs/raw_spacetime_lib/.depend
./otherlibs/str/.depend
./otherlibs/systhreads/.depend
./otherlibs/threads/.depend
./otherlibs/unix/.depend
./otherlibs/win32unix/.depend
./stdlib/.depend
./tools/.depend
./otherlibs/num/.depend.nt
otherlibs/systhreads/thread.ml
testsuite/tests/asmcomp/mips.s
testsuite/tests/opaque/intf/opaque_impl.mli
testsuite/tests/opaque/intf/opaque_intf.mli
testsuite/tests/opaque/intf/regular.mli
(0017705)
xleroy (administrator)
2017-03-27 09:10

Thanks for the incantations. But this still doesn't help me find which line in .gitignore would cause .depend files to be ignored.
(0017706)
asai (reporter)
2017-03-27 09:39

Oh, I see. At line 30 (and ".depend.nt" at line 31) of .gitignore.
(0017707)
xleroy (administrator)
2017-03-27 09:44

Thanks, and apologies for being thick: I was looking at the trunk version of .gitignore where the .depend patterns have been removed already.
(0018545)
dra (developer)
2017-10-12 12:48
edited on: 2017-10-12 12:49

This incantation is somewhat more informative, but you need a *clean* git clone:

find . -type f | git check-ignore --no-index --stdin --verbose

You will get a false-positive line:

compilerlibs/.gitignore:7:!.gitignore   ./compilerlibs/.gitignore

from what appears to be a bug in git-check-ignore and, on Windows, false-positives for testsuite/tests/asmgen/*.S (because the .s rule incorrectly applies on a case-preserving file system), but otherwise this should be empty.

For the completeness' sake, I pushed https://github.com/ocaml/ocaml/commit/41510b02024900df1e51c683d70f6bf0012c8a83 [^] which makes the opaque test ignore explicit.


- Issue History
Date Modified Username Field Change
2017-03-25 02:21 asai New Issue
2017-03-26 20:03 xleroy Note Added: 0017703
2017-03-26 20:03 xleroy Status new => feedback
2017-03-27 03:49 asai Note Added: 0017704
2017-03-27 03:49 asai Status feedback => new
2017-03-27 09:10 xleroy Note Added: 0017705
2017-03-27 09:39 asai Note Added: 0017706
2017-03-27 09:44 xleroy Note Added: 0017707
2017-03-27 09:44 xleroy Status new => acknowledged
2017-10-12 12:48 dra Note Added: 0018545
2017-10-12 12:49 dra Note Edited: 0018545 View Revisions
2017-10-12 12:49 dra Note Edited: 0018545 View Revisions
2017-10-12 12:50 dra Severity minor => tweak
2017-10-12 12:50 dra Status acknowledged => resolved
2017-10-12 12:50 dra Fixed in Version => 4.07.0+dev
2017-10-12 12:50 dra Target Version => 4.07.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker